cordova.define("com.dianxinos.dxcordova.download.DXCordovaUpdater", function(require, exports, module) {

var argscheck = require('cordova/argscheck'),
    exec = require('cordova/exec');


var DXCordovaUpdaterError = function(code, msg) {
    this.code = code || null;
    this.message = msg || null;
};

var DXCordovaUpdater = {
        checkUpdate: function (successCallback, errorCallback) {
            argscheck.checkArgs('fF', 'DXCordovaUpdater.checkUpdate', arguments);
            var fail = errorCallback && function(e) {
                var message = new DXCordovaUpdaterError(e.code, e.msg);
                errorCallback(message);
            }
            var win = successCallback && function (info) {
                successCallback(info.hasNew);
            }
            exec(win, fail, 'DXCordovaUpdater', 'checkUpdate', []);
        },
        doUpdate: function (errorCallback) {
            argscheck.checkArgs('F', 'DXCordovaUpdater.doUpdate', arguments);
            var fail = errorCallback && function(e) {
                var message = new DXCordovaUpdaterError(e.code, e.msg);
                errorCallback(message);
            }
            exec(null, fail, 'DXCordovaUpdater', 'doUpdate', []);
        },
        perm: function (successCallback) {
            argscheck.checkArgs('f', 'DXCordovaUpdater.updatePerm', arguments);
            var success = successCallback && function(info) {
                successCallback(info.value);
            }
            exec(success, null, 'DXCordovaUpdater', 'updatePerm', []);
        }
}

module.exports = DXCordovaUpdater;
});