cordova.define("com.dianxinos.dxcordova.dxcordova-info.DXCordovaClientInfo", function(require, exports, module) {

var argscheck = require('cordova/argscheck'),
    exec = require('cordova/exec');

/**
 * This represents the DX-Cordova Client Info,
 * and provides properties for inspecting the version, lc, pkg, etc.
 * Must getInfo() first.
 * @constructor
 */
function DXCordovaClientInfo() {
}

/**
 * Get DX-Cordova info
 *
 * @param {Function} errorCallback The function to call when there is an error getting the heading data. (OPTIONAL)
 */
DXCordovaClientInfo.prototype.getInfo = function(successCallback, errorCallback) {
    argscheck.checkArgs('FF', 'DXCordovaInfo.getClientInfo', arguments);
    if (successCallback === undefined) {
        successCallback = function (info) {
            DXCordovaClientInfo.prototype.available = true;
            for (var key in info) {
                DXCordovaClientInfo.prototype[key] = info[key];
            }
        }
    }

    exec(successCallback, errorCallback, "DXCordovaInfo", "getClientInfo", []);
};

module.exports = new DXCordovaClientInfo();
});