cordova.define("com.dianxinos.dxcordova.dxcordova-info.DXCordovaDeviceInfo", function(require, exports, module) {

var argscheck = require('cordova/argscheck'),
    exec = require('cordova/exec');

/**
* This represents the DX-Cordova Device Info,
* and provides properties for inspecting the sdk, locale, op, etc.
* Must getInfo() first.
* @constructor
*/
function DXCordovaDeviceInfo() {
}

/**
 * Get DX-Cordova info
 *
 * @param {Function} errorCallback The function to call when there is an error getting the heading data. (OPTIONAL)
 */
DXCordovaDeviceInfo.prototype.getInfo = function(successCallback, errorCallback) {
    argscheck.checkArgs('FF', 'DXCordovaInfo.getDeviceInfo', arguments);
    if (successCallback === undefined) {
        successCallback = function (info) {
            DXCordovaDeviceInfo.prototype.available = true;
            for (var key in info) {
                DXCordovaDeviceInfo.prototype[key] = info[key];
            }
        }
    }

    exec(successCallback, errorCallback, "DXCordovaInfo", "getDeviceInfo", []);
};

module.exports = new DXCordovaDeviceInfo();
});