cordova.define("com.dianxinos.dxcordova.dxcordova-info.DXCordovaUserInfo", function(require, exports, module) {

var argscheck = require('cordova/argscheck'),
    exec = require('cordova/exec');

/**
 * This represents the DX-Cordova User Info,
 * and provides properties for inspecting the token, user id, user name, etc.
 * Must getInfo() first.
 * @constructor
 */
function DXCordovaUserInfo() {
}

/**
 * Get DX-Cordova info
 *
 * @param {Function} errorCallback The function to call when there is an error getting the heading data. (OPTIONAL)
 */
DXCordovaUserInfo.prototype.getInfo = function(successCallback, errorCallback) {
    argscheck.checkArgs('FF', 'DXCordovaInfo.getUserInfo', arguments);
    if (successCallback === undefined) {
        successCallback = function (info) {
            DXCordovaUserInfo.prototype.available = true;
            for (var key in info) {
                DXCordovaUserInfo.prototype[key] = info[key];
            }
        }
    }

    exec(successCallback, errorCallback, "DXCordovaInfo", "getUserInfo", []);
};

module.exports = new DXCordovaUserInfo();
});