cordova.define("com.dianxinos.dxcordova.utils.DXCordovaUtils", function(require, exports, module) {

var argscheck = require('cordova/argscheck'),
    exec = require('cordova/exec');

navigator.app.goBack = function () {
    if (history.length > 1) {
        window.history.back();
    } else {
        navigator.app.exitApp();
    }
};

var DXCordovaUtilsError = function(code, msg) {
    this.code = code || null;
    this.message = msg || null;
};

function DXCordovaUtils() {
}

DXCordovaUtils.prototype.getPackageInfo = function(pkg, successCallback, errorCallback) {
    argscheck.checkArgs('sfF', 'DXCordovaUtils.getPackageInfo', arguments);
    exec(successCallback, errorCallback, "DXCordovaUtils", "getPackageInfo", [pkg]);
};

DXCordovaUtils.prototype.saveCustomData = function(data, errorCallback) {
    argscheck.checkArgs('oF', 'DXCordovaUtils.setCustomData', arguments);
    exec(null, errorCallback, "DXCordovaUtils", "setCustomData", [data]);
};

DXCordovaUtils.prototype.getCustomData = function(key, successCallback, errorCallback) {
    argscheck.checkArgs('sfF', 'DXCordovaUtils.getCustomData', arguments);
    exec(successCallback, errorCallback, "DXCordovaUtils", "getCustomData", [key]);
};

DXCordovaUtils.prototype.getSignaturedUrl = function(successCallback, url, params, body, errorCallback) {
    argscheck.checkArgs('fsSOF', 'DXCordovaUtils.signatureApiUrl', arguments);
    var fail = errorCallback && function(e) {
        var message = new DXCordovaUtilsError(e.code, e.msg);
        errorCallback(message);
    };
    var success = successCallback && function(info) {
        successCallback(info.url);
    };
    var obj = {};
    if (url) obj['url'] = url;
    if (params) obj['params'] = params;
    if (undefined !== body && null != body) obj['body'] = body;
    exec(success, fail, "DXCordovaUtils", "signatureApiUrl", [obj]);
};

module.exports = new DXCordovaUtils();
});